%define pkg_name        Apache-Peek
%define pkg_version     1.07
%define rpm_pkg_version 1.07
%define rpm_pkg_release 1.n0i.6


Summary:       Devel::Peek for mod_perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PG/PGOLLUCCI/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl(Devel::Peek) >= 0.96
%{!?_without_test:BuildRequires: perl(Apache::Test) >= 1.25}
%{!?_without_test:BuildRequires: perl(Devel::Peek) >= 0.96}


%description
"Apache::Peek" is a sub-class of "Devel::Peek".  The only difference is that
it overrides the stderr stream, to which "Devel::Peek" sends its output, and
send the output to the client instead.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build MOD_PERL=1}
# way too fucked up (expects too much from the system)
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.07-1.n0i.6
- version 1.07

* Wed Aug 17 2005 Marius FERARU <altblue@n0i.net> 1.05-1.n0i.5
- version 1.05
- new maintainer
- added manual MOD_PERL=1 argument as automatic determination
  doesn't seem to work anymore :(

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.01-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Jul 05 2004 Marius FERARU <altblue@n0i.net> 0:1.01-1.n0i.1
- initial packaging
